Compatibility

Supported: This combination is tested and supported.

Unsupported: This combination is not supported.

Versions not listed on this page may work but are untested and unsupported.

Elasticsearch

Connector

Elasticsearch↓

4.0.0 - 4.0.1

4.0.2

4.1

5.4 - 5.6

6.0 - 6.6

6.7

6.8

7.0

7.1 - 7.3

Couchbase Server

Connector

Couchbase↓

4.0.0 - 4.1

< 5.0

5.0

5.1

5.5

6.0

Java

Connector

Java↓

4.0.0 - 4.0.1

4.0.2 - 4.1

Oracle JDK 8

AdoptOpenJDK 8

AdoptOpenJDK 11

Consul

Only required for Autonomous Operations mode.

Connector

Consul↓

4.1

1.5.3